%define	name    efreet
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened efreet
Name: 		%{name}
Version: 	%{version}
Epoch:          2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Efreet
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires: 	pkgconfig(ecore) >= %{version}
%endif

%description
An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %{libname}
Summary: Enlightened efreet Libraries
Group: System/Libraries

%description -n %{libname}
Efreet libraries

An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %libnamedev
Summary: Enlightened efreet Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{epoch}:%{version}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes: %mklibname efreet 0 -d

%description -n %libnamedev
Efreet development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

%find_lang %{name}

find %{buildroot} -name '*.la' | xargs rm

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/%{name}/efreet_icon_cache_create
%{_libdir}/%{name}/efreet_desktop_cache_create
%_datadir/%name/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Feb 15 2014 trem <trem> 2:1.7.10-1.mga4
+ Revision: 591886
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 2:1.7.9-2.mga4
+ Revision: 552462
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 2:1.7.8-2.mga4
+ Revision: 463325
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 2:1.7.8-1.mga4
+ Revision: 463232
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 2:1.7.7-1.mga4
+ Revision: 444926
- bump req
- new version 1.7.7

* Tue May 07 2013 trem <trem> 2:1.7.5-2.mga3
+ Revision: 412564
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 2:1.7.5-1.mga3
+ Revision: 339275
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 2:1.7.4-1.mga3
+ Revision: 333857
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 2:1.7.3-1.mga3
+ Revision: 327932
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 2:1.7.2-1.mga3
+ Revision: 321319
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 2:1.7.1-1.mga3
+ Revision: 320194
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 2:1.7.0-1.mga3
+ Revision: 290131
- update to release 1.7.0

* Thu Jun 07 2012 trem <trem> 2:1.2.0-1.mga3
+ Revision: 256994
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 2:1.1.0-0.r69188.1.mga2
+ Revision: 222669
- update to release 69188

* Sat Mar 10 2012 trem <trem> 2:1.1.0-0.r69165.1.mga2
+ Revision: 222402
- update to release 69165

* Sun Mar 04 2012 trem <trem> 2:1.1.0-0.r68658.1.mga2
+ Revision: 217980
- update to release 68658

* Sat Mar 03 2012 trem <trem> 2:1.1.0-0.r68649.1.mga2
+ Revision: 217530
- update to release 68649

* Sun Feb 26 2012 trem <trem> 2:1.1.0-0.r68450.1.mga2
+ Revision: 215191
- update to release 68450

* Sat Feb 25 2012 trem <trem> 2:1.1.0-0.r68434.1.mga2
+ Revision: 214409
- update to release 68434

* Fri Feb 24 2012 trem <trem> 2:1.1.0-0.r68363.1.mga2
+ Revision: 213954
- update to release 68363

* Wed Feb 22 2012 trem <trem> 2:1.1.0-0.r68228.1.mga2
+ Revision: 212061
- update to release 68228

* Sun Feb 19 2012 trem <trem> 2:1.1.0-0.r68120.1.mga2
+ Revision: 210777
- update to release 68120

* Sat Feb 18 2012 trem <trem> 2:1.1.0-0.r68102.1.mga2
+ Revision: 210225
- update to release 68102

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67851.1.mga2
+ Revision: 207528
- update to release 67851

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67846.1.mga2
+ Revision: 207241
- update to release 67846

* Fri Feb 10 2012 trem <trem> 2:1.1.0-0.r67830.1.mga2
+ Revision: 206950
- update to release 67830

* Tue Feb 07 2012 trem <trem> 2:1.1.0-0.r67715.1.mga2
+ Revision: 205985
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Thu Dec 29 2011 trem <trem> 2:1.1.0-0.r66418.1.mga2
+ Revision: 188817
- update to release 66418

* Sun Dec 04 2011 trem <trem> 2:1.1.0-0.r65867.1.mga2
+ Revision: 176084
- update to release 65867

* Tue Nov 29 2011 trem <trem> 2:1.1.0-0.r65688.1.mga2
+ Revision: 174231
- update to release 65688

* Sun Nov 27 2011 trem <trem> 2:1.1.0-0.r65613.1.mga2
+ Revision: 172954
- update to release 65613

* Sun Nov 20 2011 trem <trem> 2:1.1.0-0.r65428.1.mga2
+ Revision: 169717
- update to release 65428

* Fri Nov 18 2011 trem <trem> 2:1.1.0-0.r65369.1.mga2
+ Revision: 168713
- update to version 1.1.0
- update to release r65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 2:1.0.999-0.r65269.1.mga2
+ Revision: 168191
- update to release 65269

* Sun Nov 13 2011 trem <trem> 2:1.0.999-0.r65129.1.mga2
+ Revision: 167153
- update to release 65129

* Fri Nov 11 2011 trem <trem> 2:1.0.999-0.r65056.1.mga2
+ Revision: 166568
- update to release 65056

* Sat Nov 05 2011 trem <trem> 2:1.0.999-0.r64753.1.mga2
+ Revision: 163318
- update to release 64753

* Tue Nov 01 2011 trem <trem> 2:1.0.999-0.r64603.1.mga2
+ Revision: 160804
- update to release 64603

* Mon Oct 31 2011 trem <trem> 2:1.0.999-0.r64579.1.mga2
+ Revision: 160590
- update to release 64579

* Sun Oct 30 2011 trem <trem> 2:1.0.999-0.r64519.1.mga2
+ Revision: 160061
- update to release 64519

* Sat Oct 29 2011 trem <trem> 2:1.0.999-0.r64511.1.mga2
+ Revision: 159802
- update to r64511

* Fri Oct 28 2011 trem <trem> 2:1.0.999-0.r64501.1.mga2
+ Revision: 159283
- update to r64501

* Wed Oct 26 2011 trem <trem> 2:1.0.999-0.r64414.1.mga2
+ Revision: 158377
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 2:1.0.999-0.r64328.1.mga2
+ Revision: 157779
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 2:1.0.1-2.mga2
+ Revision: 146621
- drop .la files

* Tue Jun 28 2011 trem <trem> 2:1.0.1-1.mga2
+ Revision: 115467
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 2:1.0.0-1.mga1
+ Revision: 87940
- clean spec file
- imported package efreet

